use windows::Win32::Graphics::Gdi::{
    EnumDisplayDevicesW,
    DISPLAY_DEVICEW,
};

use pool::Pool;

pub struct Display {
    x:i32, y:i32,
    width:i32, height:i32,
}

pub struct DisplayManager {
    displays:Pool<Display>,
}
impl DisplayManager {
    pub fn new() -> Self
    {
        let mut this = Self {
            displays:Pool::new(),
        };

        this.enumerate();
        this
    }

    pub fn enumerate(&mut self)
    {
        let mut index = 0;
        let mut device = DISPLAY_DEVICEW::default();
        while unsafe {EnumDisplayDevicesW(None, index, &mut device, 1)}.into() {


            index += 1;
        }
    }
}
